1. AC Question's Avatar
    OK so when I wanted to get Disney xd it said your device isn't compatabel with this version. Can I have help
    01-24-2017 05:41 AM
  2. belodion's Avatar
    It probably simply means that your device does not have the required hardware or software required to support the app. Check that in the app description, where it will tell you the minimum requirements.
    01-24-2017 05:51 AM

Similar Threads

  1. Marshmallow + Samsung, moving apps to portable SD card
    By Jorge Drumond Silva in forum Android 6.0 Marshmallow
    Replies: 1
    Last Post: 02-14-2017, 07:28 PM
  2. Why is my data and credit gone when I haven't even used it?
    By AC Question in forum Ask a Question
    Replies: 3
    Last Post: 01-24-2017, 08:06 AM
  3. "verify apps" toggle is not responding/working
    By AC Question in forum Ask a Question
    Replies: 0
    Last Post: 01-24-2017, 05:29 AM
  4. Replies: 0
    Last Post: 01-24-2017, 04:59 AM
LINK TO POST COPIED TO CLIPBOARD